package tmaestroplayer;

import javax.swing.JInternalFrame;

/**
 *
 * @author Gonzalo
 */
public class VentanaSCO extends JInternalFrame {

    private AppletTemplateComponentsXML atcx;

    public VentanaSCO(AppletTemplateComponentsXML atcx) {
        super();
        this.atcx = atcx;
    }

    public void upEvent() {
        this.atcx.up();
    }

    public void downEvent() {
        this.atcx.down();
    }

    public void leftEvent() {
        this.atcx.left();
    }

    public void rightEvent() {
        this.atcx.right();
    }

    public void enterEvent() {
        this.atcx.enter();
    }

    public AppletTemplateComponentsXML getAtcx() {
        return atcx;
    }
}
